Skip to main content
GET
/
streaming
/
video_protection
/
v2
/
rulesets
cURL
curl --request GET \
  --url https://api.mottostreaming.com/streaming/video_protection/v2/rulesets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mottostreaming.com/streaming/video_protection/v2/rulesets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mottostreaming.com/streaming/video_protection/v2/rulesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "video_protection_rulesets": [
    {
      "project_id": "<string>",
      "name": "<string>",
      "id": "<string>",
      "geo_restrictions_disallow": {
        "country_codes": [
          "<string>"
        ]
      },
      "geo_restrictions_allow": {
        "country_codes": [
          "<string>"
        ]
      },
      "allow_all_geographies": true,
      "disallow_vpn_usage": true,
      "disallow_hotlinking": true,
      "domains": {
        "domains": [
          "<string>"
        ]
      },
      "allow_all_domains": true,
      "require_authentication": true,
      "disabled": true,
      "require_entitlement": true,
      "geo_applicability_exempt": {
        "country_codes": [
          "<string>"
        ]
      },
      "geo_applicability_apply": {
        "country_codes": [
          "<string>"
        ]
      },
      "applies_to_all": true,
      "target": {
        "entity_ids": [
          "<string>"
        ],
        "event_ids": [
          "<string>"
        ],
        "creative_work_ids": [
          "<string>"
        ],
        "content_start_time": "2023-11-07T05:31:56Z",
        "content_end_time": "2023-11-07T05:31:56Z",
        "video_ids": [
          "<string>"
        ]
      },
      "filter": {
        "filter_events": "<string>",
        "filter_creative_works": "<string>"
      },
      "drm": {
        "enabled": true,
        "hws_minimum_quality": 123,
        "split_keys": true
      },
      "enforce_concurrency_limits": true,
      "priority": "<string>"
    }
  ],
  "next_page_token": "<string>"
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string
required
page_size
integer<int32>

Maximum number of records to return

page_token
string

If this field is not empty then it must contain the next_page_token value returned by a previous call to this method. Using this field causes the method to return additional results from the previous method call.

filter
string

You can filter the list of video_protections by the following fields:

  • disabled (boolean): Whether the ruleset is disabled or not.
  • is_template (boolean) - is true when there is no content targeting at all

To find the rulesets associated with a single content item / video, use ListVideoProtectionRulesetsForContentItem

order_by
string

Specifies the result ordering for List requests. Supported values are:

  • "priority desc" - default
  • "applicability_type asc, priority desc" - shows rulesets targeting all content first, then entities, then events. Sorted by priority within the same applicability type.

Response

OK

video_protection_rulesets
object[]
next_page_token
string

If there are more results than have been returned, then this field is set to a non-empty value. To see the additional results, use that value as page_token in the next call to this method.